Bug 251305 - audio/libsidplayfp: Update to 2.0.5
Summary: audio/libsidplayfp: Update to 2.0.5
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Juraj Lutter
URL: https://sourceforge.net/p/sidplay-res...
Keywords: buildisok
Depends on:
Blocks: 251317
  Show dependency treegraph
 
Reported: 2020-11-22 09:46 UTC by Daniel Engberg
Modified: 2021-06-08 00:27 UTC (History)
2 users (show)

See Also:
bugzilla: maintainer-feedback? (liangtai.s16)


Attachments
Patch for libsidplayfp (91.15 KB, patch)
2020-11-22 09:46 UTC, Daniel Engberg
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Daniel Engberg 2020-11-22 09:46:46 UTC
Created attachment 219876 [details]
Patch for libsidplayfp

Update libsidplayfp to 2.0.5
Remove gmake dependency
Rearrange and simplify Makefile

Compile tested on FreeBSD 13.0-CURRENT #0 r367711 (amd64)
Poudriere testport OK 12.2-RELEASE (amd64)
Poudriere testport OK 11.4-RELEASE (amd64)
Comment 1 Automation User 2020-11-22 10:10:33 UTC
Build and package info is available at https://gitlab.com/swills/freebsd-ports/pipelines/219611009
Comment 2 Juraj Lutter freebsd_committer 2020-12-20 14:35:41 UTC
Differential Revision: https://reviews.freebsd.org/D27687
Comment 3 commit-hook freebsd_committer 2020-12-20 21:08:02 UTC
A commit references this bug:

Author: otis
Date: Sun Dec 20 21:07:31 UTC 2020
New revision: 558777
URL: https://svnweb.freebsd.org/changeset/ports/558777

Log:
  audio/libsidplayfp: Update to 2.0.5

  - Update to 2.0.5
  - Adjust dependencies

  And while I'm here, also do style cleanup.

  Changelog:
  - libsidplayfp-2.0.5:
    * Fixed CIA SDR handling, code borrowed from Denise emulator
    * Fixed external filter coefficients calculation in resid/residfp
    * Update osc3 on waveform zero in resid/residfp

  - libsidplayfp-2.0.4:
    * Further improved CPU/CIA/VICII emulation based on VICE testprogs (bug #27)
    * Fixed an envelope generator regression in resid/residfp (bug #31)
    * Improved noise+pulse interaction in resid/residfp (bug #28)

  - libsidplayfp-2.0.3:
    * Avoid saturation of residfp 8580 filter
    * Fix some UBSan warnings

  - libsidplayfp-2.0.2:
    * Adjusted residfp 6581 filter parameter range (bug #30)
    * Recalculate noise output when actually changed in residfp

  - libsidplayfp-2.0.1:
    * Fix loading stereo mus tunes
    * Fix residfp envelope (bug #29)
    * Minor interrupt timing tweaks
    * Dirty hack to reduce overloading in 8580 filter (bug #29)

  - libsidplayfp-2.0.0:
    * Make digiboost work with resid
    * Fixed some initialization order warnings

  - libsidplayfp-2.0.0rc:
    * Make MUS loading more robust to malformed files
    * Minor interrupt timing fixes
    * Reworked SidDatabase API
    * Fix hang on exit

  - libsidplayfp-2.0.0beta2:
    * CIA model is now configurable
    * Added digiboost support
    * Added support for milliseconds in SLDB
    * Improved 8580 filter
    * CIA and SID fixes ported from VICE
    * Added MOS 6573 (PAL-M) emulation
    * Other minor fixes and code cleanup

  - libsidplayfp-2.0.0beta:
    * Dropped deprecated functions

  - libsidplayfp-2.0.0alpha4:
    * Dropped old 8580 filter implementation
    * Correctly clock oscillators in silent mode
    * Interrupt playback on invalid opcode execution
    * Minor envelope and noise writeback fixes in reSIDfp

  - libsidplayfp-2.0.0alpha3:
    * Improved experimental 8580 filter emulation, now enabled by default

  - libsidplayfp-2.0.0alpha2:
    * Reworked reSIDfp envelope generator based on analysis of chip die and transistor level emulation
    * Added new experimental 8580 filter emulation in reSIDfp
    * Fixed out of range tune selection
    * Other minor fixes and code cleanup

  - libsidplayfp-2.0.0alpha1:
    * Cleaned up directory structure
    * Use c++11 features where supported
    * Added exSID USB support
    * Improved SID emulation
    * Do not use kernal calls in psid driver
    - Known bugs/limitations:
       * mus data embedded in psid file is not supported
       * hardsid support is untested and possibly broken

  - libsidplayfp-1.8.8:
    * Fix misspelling in error message (bug #26)
    * Correctly clock oscillators in silent mode
    * CIA timing fixes
    * Allow running VICE tests

  - libsidplayfp-1.8.7
    * Fix out of range tune selection
    * Reenable accidentally broken branch hints in residfp
    * Minor fix in VIC-II code ported from VICE

  PR:		251305
  Submitted by:	Daniel Engberg
  Reviewed by:	osa (mentor)
  Approved by:	osa (mentor)
  Differential Revision:	https://reviews.freebsd.org/D27687

Changes:
  head/audio/libsidplayfp/Makefile
  head/audio/libsidplayfp/distinfo
  head/audio/libsidplayfp/files/
  head/audio/libsidplayfp/pkg-plist